task Trim {
	
	File fastq_1
	File fastq_2
    
	String docker
	String cluster_config
	String sample
	String disk_size

	
	
	command <<<
		set -o pipefail
		set -e
		trim_galore --clip_R1 4 --clip_R2 4 --three_prime_clip_R1 4 --three_prime_clip_R2 4 --paired ${fastq_1} ${fastq_2}
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File trim_read1 = "${sample}_R1_val_1.fq"
		File trim_read2 = "${sample}_R2_val_2.fq"
	}

}


